Package com.orchestranetworks.workflow

# Class UserTask.WorkItem.State

java.lang.Object
com.orchestranetworks.workflow.UserTask.WorkItem.State

Enclosing interface:
  UserTask.WorkItem

public static final class UserTask.WorkItem.State extends Object

Since:
  5.2.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UserTask.WorkItem.State`
  `ALLOCATED`
  `static final UserTask.WorkItem.State`
  `COMPLETED`
  `static final UserTask.WorkItem.State`
  `ERROR`
  `static final UserTask.WorkItem.State`
  `OFFERED`
  `static final UserTask.WorkItem.State`
  `STARTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserMessage`
  `getLabel()`
  `boolean`
  `isAllocated()`
  Returns `true` if the work item is allocated to a `UserReference`, but has not yet been started.
  `boolean`
  `isCompleted()`
  Returns `true` if the work item has been completed, which means the `UserReference` has finished its task and saved their decision.
  `boolean`
  `isError()`
  Returns `true` if the work item is in error.
  `boolean`
  `isOffered()`
  Returns `true` when the work item is offered to a `Role`.
  `boolean`
  `isStarted()`
  Returns `true` if the work item has been started by the `UserReference` to which it is allocated.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OFFERED

    public static final UserTask.WorkItem.State OFFERED

  - ### ALLOCATED

    public static final UserTask.WorkItem.State ALLOCATED

  - ### STARTED

    public static final UserTask.WorkItem.State STARTED

  - ### COMPLETED

    public static final UserTask.WorkItem.State COMPLETED

  - ### ERROR

    public static final UserTask.WorkItem.State ERROR

- ## Method Details

  - ### getLabel

    public UserMessage getLabel()

  - ### isOffered

    public boolean isOffered()
    Returns `true` when the work item is offered to a `Role`. In this state, the work item can be taken or allocated to a `UserReference` member of the specified `Role`.

  - ### isAllocated

    public boolean isAllocated()
    Returns `true` if the work item is allocated to a `UserReference`, but has not yet been started.

  - ### isStarted

    public boolean isStarted()
    Returns `true` if the work item has been started by the `UserReference` to which it is allocated.

  - ### isCompleted

    public boolean isCompleted()
    Returns `true` if the work item has been completed, which means the `UserReference` has finished its task and saved their decision.

  - ### isError

    public boolean isError()
    Returns `true` if the work item is in error.